<?php
require_once('dbdata.php');

try {
    //читаем параметры
    $s_query = $_GET['query'];
    
    //подключаемся к базе
    $dbh = new PDO('mysql:host='.$dbHost.';dbname='.$dbName, $dbUser, $dbPass);
    //указываем, что нужно использовать utf8
    $dbh->exec('SET CHARACTER SET utf8');

    $stmt = $dbh->prepare('SELECT city FROM cities WHERE city LIKE :query');
    $search = $s_query.'%';
    $stmt->bindParam(':query', $search);
    $stmt->execute();
    
    $i=0;
    $response->query = $s_query;
    $response->suggestions = array();
    while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $response->suggestions[]=$row['city'];
    }
    echo json_encode($response);
}
catch (PDOException $e) {
    echo 'Database error: '.$e->getMessage();
}

// end of search.php